﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<PromoDetails>


@(
 Html.Grid(Model).Named("AllPromoDetail").Columns(columns =>
 {

     columns.Add(x => x.CodeName)
         .Titled("Kode Unik")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CodeName).Filterable(true);

     columns.Add(x => x.DistrictName)
         .Titled("City")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.DistrictName).Filterable(false);

     columns.Add(x => x.RetailerID)
         .Titled("Retailer")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => (x.Retailer != null ? x.Retailer.Name : "")).Filterable(false);

     columns.Add(x => x.CreatedBy)
         .Titled("Created By")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedBy).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.Value.ToString()).Filterable(true);

     columns.Add(x => x.UpdateBy)
         .Titled("Update By")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.UpdateBy).Filterable(true);

     columns.Add(x => x.UpdateDate)
         .Titled("Update Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.UpdateDate.Value.ToString()).Filterable(true);

     columns.Add(x => x.ReasonUpdate)
         .Titled("Update Reason")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ReasonUpdate).Filterable(true);

     columns.Add(x => x.Promo.PromoCode)
         .Titled("Promo Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Promo.PromoCode).Filterable(true);

     columns.Add(x => x.ExpiredDate)
         .Titled("Expired Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ExpiredDate.HasValue? x.ExpiredDate.Value.ToString():string.Empty).Filterable(true);

     columns.Add(x => x.isUsed)
         .Titled("Is Used")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.isUsed.ToString()).Filterable(true);

     //columns.Add()
     //    .Encoded(false)
     //    .Sanitized(false)
     //    .SetWidth(50)
     //    .Css("cell-center")
     //.RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Promo.EditDetail(x.ID))));

     // columns.Add()
     //     .Encoded(false)
     //     .Sanitized(false)
     //     .SetWidth(50)
     //     .Css("cell-center")
     //.RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.City.Delete(x.ID)), x.PromoCode));

 }).Filterable()
.Sortable()
.WithPaging(5)
)




